# Extension Manager pkgIndex file, version 0.0
# FILE: pkgIndex.tcl
#
# This file is sourced by the 'package unknown' command when it
# searches for a package.  The command below calls on the Extension
# Manager to define an extension according to the contents of this
# directory and make it available to Tcl's package database.
#
# See <what?> for instructions on editing this file.

# Only when the 'em' package is being searched for...
if {[string match em $name]} {

# Reveal the hidden tclIndex file in ./.hidden
lappend auto_path \
    [file join [file dirname [file join [pwd] [info script]]] .hidden]

# Create the database
[em_extension new -develop 1] select

# Complete the loading of this extension by eval'ing its eventHandler command.
em_eventHandler Generate load {}

# Re-hide the hidden tclIndex file in ./.hidden
set auto_path [lrange $auto_path 0 [expr {[llength $auto_path] - 2}]]

}
